Retrieves all unavailability types

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the unavailability type

string

Required

Max length: 20

description

Long description

string

Max length: 100

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "25b740e0-5d9a-49ee-a621-c7d4f52ddcc6",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "sales_organization_id": "8914c9ec-5a50-45cf-a575-9fa5135b51fe",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "d220d0dd-a8a6-4ad0-aa51-d5a0fc4ff4b9",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "707582de-40d9-42ce-ac74-36bfaf4a9a19",
    "db_currency_id": "88065a71-7fab-4369-acc7-7615c413bfc9",
    "db_language_id": "34ab7f10-20ac-4cee-ba7d-97fcaa462e5d",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-09-18T13:42:07.6565717+00:00"
  },
  "modified_dateutc": "2026-09-18T13:42:07.6565717+00:00"
}